=== debian/changelog ===
sequitur-g2p (0+r1668.r3-1) experimental; urgency=medium

  * New upstream version 0+r1668.r3
  * Fix watch file.
  * Refresh 1005_spelling_fixes.patch
    and 1010_fix_compilation_warnings.patch.
    These patches have been partially applied upstream.
  * Drop 1001_compilation_fixes.patch, 1003_fix_string_exception.patch,
    1004_fixes_undefined_name.patch, 1006_remove_DEBUG_prints.patch,
    1007_enable_gzip_module.patch,
    1008_avoid_except_usage_without_type.patch,
    1009_fix_tempfile_generation.patch,
    1011_increase_multigram_size.patch, 1012_add_swig_opts_to_setup.patch,
    1013_declare_numpy_1.7_compatibility.patch,
    1014_fix_compilation_with_cxx11.patch and
    1015_fixes_for_python3.patch.
    All these patches have been applied upstream with minimal changes.
  * Do not backup misc.pyc.
    This file has been dropped upstream, so it does not need to be
    preserved anymore.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 06 May 2016 01:24:31 +0200

sequitur-g2p (0+r1668-3) experimental; urgency=medium

  * Refresh and improve 1010_fix_compilation_warnings.patch.
  * Switch to secure URIs in Vcs-* fields.
  * Add 1011_increase_multigram_size.patch,
        1012_add_swig_opts_to_setup.patch,
        1013_declare_numpy_1.7_compatibility.patch,
        1014_fix_compilation_with_cxx11.patch,
        1015_fixes_for_python3.patch.
  * Bump Standards-Version to 3.9.8
    No changes required.

 -- Giulio Paci <giuliopaci@gmail.com>  Sun, 24 Apr 2016 01:24:02 +0200

sequitur-g2p (0+r1668-2) experimental; urgency=low

  * Switch from python-support to dh_python2
    Closes: #786139.
  * Bump Standards-Version to 3.9.6
    No changes required.
  * Add 1010_fix_compilation_warnings.patch.

 -- Giulio Paci <giuliopaci@gmail.com>  Fri, 22 May 2015 21:54:28 +0200

sequitur-g2p (0+r1668-1) experimental; urgency=low

  * Initial release
    Closes: #696779.

 -- Giulio Paci <giuliopaci@gmail.com>  Wed, 01 May 2013 11:32:00 +0200
