=== debian/control ===
Source: sequitur-g2p
Section: science
Priority: optional
Maintainer: Giulio Paci <giuliopaci@gmail.com>
Build-Depends: cdbs (>= 0.4.91~),
 devscripts,
 python,
 debhelper (>= 9~),
 dh-buildinfo,
 dpkg-dev (>= 1.16.1~),
 python-dev,
 python-numpy,
 swig,
 help2man,
 dh-python
Standards-Version: 3.9.8
Vcs-Git: https://anonscm.debian.org/cgit/collab-maint/sequitur-g2p.git/
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/sequitur-g2p.git/
Homepage: http://www-i6.informatik.rwth-aachen.de/web/Software/g2p.html

Package: sequitur-g2p
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: Grapheme to Phoneme conversion tool
 Sequitur G2P is a data-driven grapheme-to-phoneme converter. It can
 be applied to any monotonous sequence translation problem, provided
 the source and target alphabets are small (less than 255
 symbols). Data-driven means that you need to train it with example
 pronunciations. Training takes a pronunciation dictionary and
 creates a model file. The model file can then be used to transcribe
 words that where not in the dictionary.
