=== debian/watch ===
version=3
opts="uversionmangle=s/[-_]/./g;s/^(.*)$/0+$1/" \
	http://www-i6.informatik.rwth-aachen.de/web/Software/g2p.html .*g2p-(r\d[\d\.]*(?:-r\d[\d\.]*)?)\.tar\.gz
